<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-configuration PUBLIC
"-//Hibernate/Hibernate Configuration DTD//EN"
"http://hibernate.sourceforge.net/hibernate-configuration-3.0.dtd">

<hibernate-configuration>
	<session-factory>
		<property name="hibernate.connection.driver_class">com.mysql.jdbc.Driver</property>
		<property name="hibernate.connection.url">jdbc:mysql://localhost/tasks</property>
		<property name="hibernate.connection.username">root</property>
		<property name="hibernate.connection.password">Sairam123</property>
		<property name="hibernate.hbm2ddl.auto">update</property>
		<property name="hibernate.connection.autocommit">true</property>
		<property name="hibernate.connection.pool_size">10</property>
		<property name="show_sql">false</property>
		<property name="format_sql">true</property>
		<property name="dialect">org.hibernate.dialect.MySQL5Dialect</property>

		<mapping class="com.program.model.Student" />
		<mapping class="com.program.model.Course" />
		<mapping class="com.program.model.Department" />
	
		<!-- <mapping class="com.program.model.StudentCourseItems" /> -->



		<!-- <mapping resource="com/program/model/Student.hbm.xml" /> <mapping 
			resource="com/program/model/Course.hbm.xml" /> -->
		<mapping resource="com/program/model/StudentCourse.hbm.xml" />




	</session-factory>
</hibernate-configuration>










